commit:     9067113227bf522d57857227af8f548406c76a49
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 12 18:11:31 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Fri Mar 12 18:11:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90671132

sci-electronics/ngspice-34: re-enable tests

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 sci-electronics/ngspice/ngspice-34.ebuild | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/sci-electronics/ngspice/ngspice-34.ebuild 
b/sci-electronics/ngspice/ngspice-34.ebuild
index d8cc8a52047..9f70865e81c 100644
--- a/sci-electronics/ngspice/ngspice-34.ebuild
+++ b/sci-electronics/ngspice/ngspice-34.ebuild
@@ -15,11 +15,7 @@ SLOT="0"
 IUSE="X debug deprecated doc examples fftw openmp +readline +shared tcl"
 KEYWORDS="~amd64 ~arm64 ~ppc ~sparc ~x86 ~x64-macos"
 
-# A large number of tests currently fails due to spurious
-# "No compatibility mode selected!" messages in the output,
-# see https://sourceforge.net/p/ngspice/bugs/544/
-#RESTRICT="!test? ( test )"
-RESTRICT="test"
+RESTRICT="!test? ( test )"
 
 DEPEND="sys-libs/ncurses:0=
        X? ( x11-libs/libXaw
@@ -191,6 +187,7 @@ src_test() {
        if ! use debug; then
                # tests can be only executed for the binaries variant
                pushd "${WORKDIR}/${P}-binaries" &>/dev/null || die
+               echo "set ngbehavior=mc" > "${HOME}"/.spiceinit || die "Failed 
to configure ${PN} for running the test suite"
                virtx default
                popd &>/dev/null || die
        else

Reply via email to